/*
* Basic serial sending code 
* @Author: various 
* Modified by Joey van der Bie
* 2019-05-10
*/

import processing.serial.*;

// Find out to which port your Arduino is connected
// and replace this number
int deviceNr = 1;
Serial port = new Serial(this, Serial.list()[deviceNr], 9600);

int receivedValue = 0;

void setup()
{
  size(255, 255);
  textSize(32);
  //find out which port your microcontroller is connected using the printArray statement
  // List all the available serial ports:
  printArray(Serial.list());
}

void draw()
{
  if(port.available() > 0 ){
    receivedValue = port.read();
    println(receivedValue);
  }
    
  
  background(0);
  fill(#006622);
  rect(32, 0, 95, height);
  fill(#FFFFFF);
  text(mouseX + "\n" + char(mouseX), 130, 100);
  if (pmouseX != mouseX)
  {
    port.write(mouseX);
  }
}
